DCMTK - Conformance #950

Check whether CP-2000 (Angle measurement codes and templates)}-requires any changes

2020-09-22 13:36 - Jorg Riesmeier

Status: Closed
Priority: Normal
Assignee: Jorg Riesmeier
Category: Library

Target version: 3.6.8

Module: dcmsr/cmr

Operating System:

Start date: 2020-09-22
Due date:

% Done: 100%
Estimated time: 6:00 hours
Compiler:

Description
Rationale for Correction:—

There are no standard template structures or codes defined for recording angle measurements on images, or for describing

vectors,—

or approximate spatial locations. Add them.—

The significance of the order of the points when more than one is present is not specified. Clarify.—

A line segment code for linear distances is also added.—

See also CP 2036 "Add optional Source Concept Name for otherwise anonymous image, waveform and coordinate Content

ltems—
in SR".—

(see: ftp://medical.nema.org/medical/dicom/final/cp2000_ft AngleMeasurementCodesAndTemplates.pdf)

History

#1 - 2022-05-25 15:42 - J6rg Riesmeier
- Category set to Library

- Status changed from New to Assigned
- Assignee set to Jorg Riesmeier

- Target version set to 3.6.8

- % Done changed from 0 to 60

Partly closed by commit 563c790af.

#2 - 2022-05-25 18:29 - J6rg Riesmeier

- Status changed from Assigned to Closed
- % Done changed from 60 to 100

- Estimated time set to 6:00 h

Finally closed by commit b18b09ee?.
